Bug 193053 - CVE-2006-1174 shadow-utils mailbox creation race condition
CVE-2006-1174 shadow-utils mailbox creation race condition
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: shadow-utils (Show other bugs)
4.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Peter Vrabec
David Lawrence
source=cert,reported=20060512,public=...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-24 16:02 EDT by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2007-0276
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-01 13:32:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
"#useradd foo" strace output (32.94 KB, text/plain)
2006-05-25 07:19 EDT, Peter Vrabec
no flags Details

  None (edit)
Description Josh Bressers 2006-05-24 16:02:08 EDT
shadow-utils mailbox creation race condition

CERT reported an issue with the way shadow-utils' useradd program
creates the users mail spool file.  The file is intially created
improperly which gives it random permissions, owned by root for a
short period of time.  It may be possible for a local attacker to get
very lucky and acquire write permissions to a world writable SUID
file.

The upstream fix is here:
http://cvs.pld.org.pl/shadow/src/useradd.c?r1=1.50&r2=1.51

When we patch our packages, we may want to check the return value of
the the fchown and fchmod calls.



This issue also affects RHEL3
This issue also affects RHEL2.1
Comment 1 Peter Vrabec 2006-05-25 07:19:38 EDT
Created attachment 129979 [details]
"#useradd foo" strace output

I patched shadow-utils-4.0.3 from rhel4  and checked return value of fchown and
fchmod. 

Can I commit patch to CVS and rebuild shadow-utils in rhel[2.1,3, 4]?
Comment 2 Josh Bressers 2006-05-25 07:36:48 EDT
Feel free to apply the patch to CVS, but we won't release an update just for
this issue.  We've rated it as having a "low" severity, which means we wait
until there is another more sever issue to fix, releasing both fixes at the same
time.

Thanks.
Comment 11 Red Hat Bugzilla 2007-05-01 13:32:19 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0276.html

Note You need to log in before you can comment on or make changes to this bug.